Subject: photosynthesis experiment

From: [email-masked] (Mary Ritke)
Date: 19 Jul 1995 19:26:44 GMT

Hi netters

I am trying to design an experimental component to a photosynthesis lab  
exercise that ustilizes the "Hill Reaction" to measure photosynthesis.   
For the most part, my students do not find this experiment to be  
rewarding.  Aside from using various intensities and colors of light do  
you have any suggestions?  This is a sophomore level cell bio course.  We  
cannot use radioactivity in the lab (too many students).  Any suggestions  
would be GREATLY appreciated.

Mary Ritke
[email-masked]